@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap");
* {
  font-family: "IBM Plex Mono", monospace;
}
body {
  background-color: rgb(50, 50, 50);
  color: white;
  padding: 1rem 2rem;
  position: relative;
}
#du,
#cu {
  display: inline-block;
  padding-right: 3rem;
}
button {
  background-color: white;
  border: 1px rgb(0, 0, 0);
  color: rgb(0, 0, 0);
  text-align: center;
  text-decoration: none;
  display: inline-block;
}

input {
  background-color: rgb(70, 70, 70);
  border: none;
  color: white;
  padding: 5px 0;
  padding-left: 5px;
  font-size: 15px;
}

select {
  border: 1px black;
  background-color: white;
  color: black;
  padding: 5px;
}

button:disabled,
button[disabled] {
  display: none;
}

#record,
#recInfo {
  display: inline-grid;
  grid-template-columns: auto 1fr;
  grid-gap: 10px;
  align-items: center;
}

#timedCheck {
  display: inline-block;
}

#timedCheck label {
  padding-left: 8px;
}

#timedSettings {
  display: none;
  padding: 0 9.5rem;
}
#error-tempA,
#error-tempB,
#error-tempC,
#error-tempD,
#error-tempE,
#error-tempF,
#error-tempG,
#error-tempH {
  color: red !important;
}

.chart-container {
  position: relative;
  height: 20vh;
  width: 40vw;
  padding: 1em;
}
@keyframes blink {
  50% {
    opacity: 0;
  }
}
.blinking {
  animation: blink 1s step-start 0s infinite;
}
#lightbox {
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  visibility: hidden;
  opacity: 0;
}
#lightbox #credits {
  user-select: none;
  width: auto;
  height: auto;
  object-fit: cover;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgb(50, 50, 50);
  border: 3px solid black;
  padding: 15px;
}

#closebtn {
  position: absolute;
  top: 0;
  right: 0;
}

#timeLeft {
  display: none;
}